"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function onLoadStarted(observable, url, navigationType) {
    var args = {
        eventName: "loadStarted",
        object: this,
        url: url,
        navigationType: navigationType,
        error: undefined
    };
    observable.notify(args);
}
exports.onLoadStarted = onLoadStarted;
function onLoadFinished(observable, url, error) {
    var args = {
        eventName: "loadFinished",
        object: observable,
        url: url,
        navigationType: undefined,
        error: error
    };
    observable.notify(args);
}
exports.onLoadFinished = onLoadFinished;
